Class CustomAPISettings (0.6.4)

CustomAPISettings(mapping=None, *, ignore_unknown_fields=False, **kwargs)

Settings required by Feeds of Custom API (Codeless). Supports fetching data from third-party APIs with configurable pagination, authentication, and response parsing.

This message has oneof_ fields (mutually exclusive fields). For each oneof, at most one member field can be set at the same time. Setting any member of the oneof automatically clears all other members.

.. _oneof: https://proto-plus-python.readthedocs.io/en/stable/fields.html#oneofs-mutually-exclusive-fields

Attributes

Name Description
no_auth google.cloud.chronicle_v1.types.CustomAPINoAuth
Authenticate without credentials or secrets. This field is a member of oneof_ authentication.
basic_auth google.cloud.chronicle_v1.types.UsernameSecretAuth
Authenticate using Username/Password credentials. This field is a member of oneof_ authentication.
oauth_client_credentials google.cloud.chronicle_v1.types.OAuthClientCredentials
Authenticate using OAuth 2.0 Client Credentials Grant flow. This field is a member of oneof_ authentication.
header_auth google.cloud.chronicle_v1.types.CustomAPIHeaderAuth
Authenticate using custom API Keys injected into request headers. This field is a member of oneof_ authentication.
query_auth google.cloud.chronicle_v1.types.CustomAPIQueryAuth
Authenticate using custom API Keys injected into URL query parameters. This field is a member of oneof_ authentication.
base_url str
Required. Enter the primary web address of the third-party API (e.g., https://api.vendor.com).
polling_frequency int
Optional. Specify how often the platform checks the API for new data in minutes (default is 15 minutes).
primary_request google.cloud.chronicle_v1.types.CustomAPITransferNode
Required. Configure the initial API call used to fetch the main list of logs or events.